
        /* Style de la bande supérieure */
body {
    text-align:center;
    background-color: #fffff;
}

.top-bar {
    background-color: #ff00f1dc; /* Couleur orange */
    opacity:1;
    color: white;
    text-align: center;
    padding: 2px 0;
    font-size: 16px;
    font-weight: bold;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 100; /* Pour rester au-dessus */
    display: flex;
    flex-direction: column;
    align-items: center;
    transition: top 0.1s ease; /* Transition pour l'animation */
}

/* Ligne du haut */
.TopText {
  position: relative;
  top:6px;
  display: inline-block;
  animation: fadeInOut 2s infinite;
  font-weight: bold;
  text-align: center;
  white-space: nowrap;
  font-size: 1rem;
  color: white;
  font-family: "Montserrat", sans-serif;
}

@keyframes fadeInOut {
  0% { opacity: 0; }
  20% { opacity: 1; }
  80% { opacity: 1; }
  100% { opacity: 0; }
}


/* Ligne du bas */
.bottom-text {
    font-size: 16px;
    font-weight: bold;
    margin-top: 2px; /* Ajuste l'espace entre les lignes */
    opacity: 0.9;
}
        /* Style de la barre de navigation */
        .navbar {
            display: flex;
            align-items: center;
            justify-content: space-between;
            background-color: #fff;
            padding: 5px 15px;
            border-radius: 50px;
            position: relative;
            top: 40px;
            left: 0;
            right: 0;
            height: 60px;
            box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
            /*contour du nav bar*/
            outline: 1px solid #070619; /* Contour bleu */
    outline-offset: 1px; /* Espacement entre l'input et le contour */
            
            
        }

        .menu-icon, .cart-icon {
            font-size: 30px;
            cursor: pointer;
            color: black;
            background: #fff;
        
            
            
        }
        
        


        .logo {
           height: 75px;
           width: 75px;
           margin-top: 6px;
           margin-left: 10px;
   } 
        
        
         
         /* Style du menu latéral */
        .menu {
            position: fixed;
            top: 0;
            left: -250px; /* Caché au départ */
            width: 250px;
            height: 100vh;
            background-color: #313131;
            color: white;
            margin-top:0;
            z-index: 1002;
            padding-top: 50px;
            transition: left 0.3s
            ease-in-out; /* Animation fluide */
        }


        .menu a {
            display: block;
            color: white;
            text-decoration: none;
            padding: 15px;
            font-size: 18px;
        }

        .menu a:hover {
            background-color: #575757;
        }

        
        /* Bouton pour fermer */
        .close-btn {
            position: absolute;
            top: 10px;
            right: 15px;
            font-size: 30px;
            cursor: pointer;
        }
       
        
         /* Style du lien Connexion en bas du menu */
.connexion-link {
    position: absolute;
    bottom: 50px; /* Positionne le lien au pied du menu */
    width: 220px;
    padding: 15px;
    font-size: 18px;
    font-weight: bold;
    background-color: #444; /* Couleur de fond */
    color: white;
    text-align: center;
    text-decoration: none;
}

.connexion-link:hover {
    background-color: #575757; /* Couleur au survol */
}
       
 /*le pied de la page d'accueil*/

 /*le pied de la page d'accueil*/

/* FOOTER */

        /* Animation des vagues */
        .wave-container {
            position: absolute;
            top: -10px;
            left: 0;
            width: 100%;
            height: 100px;
            overflow: hidden;
            z-index: 0;
        }

        .wave {
            position: absolute;
            width: 200%;
            height: 100%;
            background: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1440 320"><path fill="%23ffffff" fill-opacity="1" d="M0,192L80,170.7C160,149,320,107,480,90.7C640,75,800,85,960,112C1120,139,1280,181,1360,202.7L1440,224L1440,0L1360,0C1280,0,1120,0,960,0C800,0,640,0,480,0C320,0,160,0,80,0L0,0Z"></path></svg>');
            background-size: 50% 100%;
            background-repeat: repeat-x;
        }

        .wave:nth-child(1) {
            opacity: 0.6;
            animation: wave-animation 6s linear infinite;
        }

        .wave:nth-child(2) {
            top: 15px;
            opacity: 0.4;
            animation: wave-animation 8s linear infinite reverse;
            filter: blur(2px);
        }

        .wave:nth-child(3) {
            top: 30px;
            opacity: 0.3;
            animation: wave-animation 10s linear infinite;
        }

        @keyframes wave-animation {
            0% { transform: translateX(0); }
            100% { transform: translateX(-50%); }
        }

        /* Positionnement du texte par-dessus les vagues */
        .footer p {
            position: relative;
            z-index: 1;
        }



.lido {
    color: #f800ff ; /* Lido en noir */
    font-weight: bold;
    
}

.select {
    color: white; /* Select en bleu */
    font-weight: bold;
}

.LogoText1 {
    color: #f800ff ;
}

.LogoText2 {
    color:white ;
}

.CerclePanier {
    background-color: #f800ff;
} 


.social-links {
    margin-top: 5px;
}

.social-icon {
    margin: 0 15px;
    font-size: 30px;
    text-decoration: none;
    color: white;
}

.social-icon:hover {
    color: #007BFF; /* Change la couleur au survol */
}




/*produit*/

header .NosProduit{
    text-align: left;
    position: relative ;
    color: blue;
    top: 160px;
    margin-left: 10px;
    font-size: 20px;
    font-weight: bold;
    opacity: 0.9;
    /*font-family: 'Roboto', sans-serif;*/
    font-family: "Montserrat", sans-serif;
}

 #produits-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 0;
    position : relative ;
    left: 0;
    right: 0;
    top: 170px;
    text-align:center ;
    background: transparent;
}


.produit {
    background: transparent ;
    border-radius: 8px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    padding: 3px;
    text-align: center;
    margin: 3px; /* espace entre les produits */
    width: calc(50% - 12px); /* Deux par ligne avec espace */
    box-sizing: border-box;
}

.produit img {
    width: 100%;
    height: auto;
    border-radius: 8px;
}

.produit h3 {
    font-size: 14px;
    margin: 6px 0;
}

      

.prix {
    display: flex;
    justify-content: center; /* Aligner les prix horizontalement */
    align-items: center;
    gap: 10px; /* Espace entre les prix */
    margin-top: 5px; /* Espacement entre l'image et les prix */
}



.prix-original {
    text-decoration: line-through; /* Barrer le prix original */
    color: red;
    font-size: 14px;
}

.prix-actuel {
    color: green;
    font-size: 14px;
    font-weight: bold;
}


  
        
       <!-- besoin d'aide?-->
        #support-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    text-align: center;
    z-index: 1000;
}

#support-button button {
    background-color: #007bff;
    color: white;
    border: none;
    padding: 12px 18px;
    font-size: 16px;
    border-radius: 50px;
    cursor: pointer;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.2);
}

#support-options {
    display: none;
    background: white;
    position: absolute;
    bottom: 350px;
    right: 10px;
    padding: 10px;
    border-radius: 10px;
    box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.2);
}

#support-options a {
    display: block;
    text-decoration: none;
    padding: 10px;
    color: black;
    font-weight: bold;
    border-radius: 5px;
}

#support-options a:hover {
    background-color: #f1f1f1;
}
   
  /* Panier */
.cart-dropdown {
  display: none;
  background: #6ab6ffd2;
  border: 1px solid #ddd;
  padding: 10px;
  border-radius: 10px;
  position: absolute;
  top: 135px;
  right: 20px;
  width: 300px;
}

  
   /*image d'accueil*/
  
  .image-accueil {
  text-align: center;   /* Centrer l'image */
    margin-top: 45px;
    justify-content: center; /* Centre horizontalement */
    align-items: center; /* Centre verticalement */
    padding: 5px;
}

.image-accueil img {
    width: 100%; /* Ajuste la largeur de l'image */
    max-width: 900px; /* Limite la taille max */
    height: auto; /* Garde les proportions */
    border-radius: 10px; /* Coins arrondis */
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 1); /* Ombre */
}
  
  /*meilleir produit*/
  .meilleur-produit {
      position: absolute;
      background-color: #f800ff;
      top: 290px;
       left: 50%;
  transform: translateX(-50%);
      width: 80%;
      max-width: 300px;
      height: 170px;
      border-radius: 10px;
      text-align: center;
      font-family: 'Roboto', sans-serif;
      box-sizing: border-box;/* pour inclure les bordures dans la largeur */
      
  }
  
  
   .meilleur-produit h3 {
       padding: 10px 15px;
       color: white;
       opacity:0.9;
   }
  
 .meilleur-produit a {
            font-size: 18px;
           /* color: white;*/
            opacity:0.9;
 }
 
  #interieur-footer a {
            text-decoration: none;
            font-size: 20px;
            color: white ;
 }
  
   .footer hr {
       color: #000000;
   }


/*hr*/
hr {
    background-color: #2a2a2a; /* Couleur de la ligne */
    height: 1px; /* Épaisseur de la ligne */
    border: none; /* Supprime la bordure par défaut */
}

/* animation avant chargement des produits */
#loader {
  border: 6px solid #f3f3f3;
  border-top: 6px solid #3498db;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  animation: spin 1s linear infinite;
  margin: 50px auto;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}


/*catégorie */
#categories-container {
    position: relative;
    top: 165px;
    overflow-x: auto;
    white-space: nowrap;
    background-color: #ffffff;
    padding: 0px 5px;
    gap: 10px;
    display: flex;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

#categories-container::-webkit-scrollbar {
    display: none;
}

.categorie-btn {
    padding: 5px 5px;
    background-color: white ;
    margin: 5px;
    color: black;
    border: none;
    border-radius: 20px;
    cursor: pointer;
    transition: background-color 0.3s;
    font-size: 16px;
    font-family: 'Roboto', sans-serif;
    
}

.categorie-btn:hover {
    background-color: #129ededf;
}




/*footer*/

:root{
    --bg:black;
    --accent:#e6a8b2; /* rose pâle */
    --muted:#9b9b9b;
   /* --line: #c8c8c8;*/
    --white: #ffffff;
  }
  
  
  .footer {
    position: relative;
    top: 170px;
    background:var(--bg);
    padding:10px 0px;
    padding-bottom:30px ;
    color:var(--white);
    margin: 0 auto;
    width:100%;
  }

  .accordion{
    display:flex;
    flex-direction:column;
    gap:0;
    border-top: 1px solid var(--line);
  }

  .acc-item{
    border-bottom:1px solid var(--line);
  }

  .acc-header{
    display:flex;
    align-items:center;
    justify-content:space-between;
    padding:14px 0;
    cursor:pointer;
  }

  .acc-label{
   opacity: 0.9;
    font-size:15px;
    padding: 5px 20px;
    letter-spacing:1px;
    font-weight:700;
    /*font-family: "Montserrat", system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", Arial;*/
    font-family: "Montserrat", sans-serif;
  }

  .plus{
    width:28px;
    height:28px;
    border-radius:50%;
    /*border:2px solid var(--accent); */
    display:flex;
    align-items:center;
    justify-content:center;
    color:var(--accent);
    font-weight:600;
    font-size:18px;
    transition: transform 0.3s;
    padding-right: 10px;
  }

  .acc-content{
    max-height:0;
    overflow:hidden;
    transition:max-height 0.3s ease, padding 0.3s ease;
    font-size:14px;
    color:var(--muted);
  }

 .acc-content p {
    text-align:left;
    padding: 2px 10px; 
    padding-left:20px;
    padding-right: 70px;
    opacity: 0.8;
    font-family: "Montserrat", sans-serif;
 }
 
  .acc-item.active .acc-content{
    max-height:200px; /* hauteur suffisante */
    padding:10px 0;
  }

  .acc-item.active .plus{
    transform:rotate(45deg); /* + devient × */
  }

  .footer-bottom{
    margin-top:30px;
    text-align:center;
    color:var(--muted);
    font-size:14px;
    line-height:1.6;
  }

  .brand{
    color:var(--muted);
    font-weight:600;
    margin-bottom:5px;
    font-size:16px;
    padding: 5px 25px 15px 25px;
    font-family: "Montserrat", sans-serif;
  }

  .copyright{
    margin-top:14px;
    margin-bottom: 12px;
    font-size:14px;
    color:var(--muted);
  }
  




#touslesdetails {
  margin: 10px auto;     /* centre horizontalement */
  padding: 3px;
  border: 1px solid #fffff;
  border-radius: 12px;
  background: #fffff;
  max-width: 500px;      /* largeur max sur PC */
  width: 100%;           /* occupe toute la largeur sur mobile */
  box-sizing: border-box;/* pour inclure les bordures dans la largeur */
}



